[pypy-dev] pypy 64 bit Ubuntu packages

kgardenia42 kgardenia42 at googlemail.com
Wed Jan 11 01:38:03 CET 2012


(Not sure if this is the correct place to ask this but I thought
someone on this list would be able to help).

I have an Ubuntu package which I would like to state a dependency on pypy.

I found this excellent PPA resource for pypy Ubuntu packages:

However, even though these packages have a target architecture of
"all" when I install them on an amd64 Ubuntu machine I am unable to
run the pypy binary.  I'm assuming, perhaps wrongly, that this is
because it is a 32bit binary:

foo at ubuntu:~$ file /usr/share/pypy-1.6/bin/pypy
/usr/share/pypy-1.6/bin/pypy: ELF 32-bit LSB executable, Intel 80386,
version 1 (SYSV), dynamically linked (uses shared libs), for GNU/Linux
2.6.15, stripped

So my question is: did I miss some trick in getting this running on
64bit Ubuntu?  Or otherwise why are the packages targeting
architecture "all" if they don't work on amd64.  i.e.why not just
target x86 architectures if that is what the package will run on?

My fallback option is to download the 64bit release (binary) tarball
from pypy.org which works fine but it breaks out of the Ubuntu
packaging/dependency model.

As before - it is perfectly possible I've just missed something
obvious.  What do other people do in this case?  Are there 64 bit
packages I missed?

Any help welcome.


More information about the pypy-dev mailing list